Method: projects.locations.authProviders.credentials.finalize

Finalizes the credentials after a successful consent flow.

HTTP request

POST https://agentidentitycredentials.googleapis.com/v1/{authProvider=projects/*/locations/*/authProviders/*}/credentials:finalize

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
authProvider

string

Required. The resource name of the auth provider. Format: projects/{project}/locations/{location}/authProviders/{authProvider}

Request body

The request body contains data with the following structure:

JSON representation
{
  "userId": string,
  "userIdValidationState": string,
  "consentNonce": string
}
Fields
userId

string

Required. The identity of the end user.

userIdValidationState

string (bytes format)

Required. The encrypted state passed back from the consent flow.

A base64-encoded string.

consentNonce

string

Required. The same consentNonce value that was provided during retrieval in the UriConsentRequired metadata.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.